Skip to content
Start here

Change status of instance

PATCH/accounts/{account_id}/workflows/{workflow_name}/instances/{instance_id}/status

Changes the execution status of a workflow instance (e.g., pause, resume, terminate).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Scripts Write
Path ParametersExpand Collapse
account_id: string
workflow_name: string
maxLength64
minLength1
instance_id: string
maxLength100
minLength1
Body ParametersJSONExpand Collapse
status: "resume" or "pause" or "terminate" or "restart"

Apply action to instance.

One of the following:
"resume"
"pause"
"terminate"
"restart"
from: optional object { name, count, type }

Step to restart from. Only applicable when status is “restart”.

name: string
maxLength256
minLength1
count: optional number
exclusiveMinimum
minimum0
type: optional "do" or "sleep" or "waitForEvent"
One of the following:
"do"
"sleep"
"waitForEvent"
ReturnsExpand Collapse
errors: array of object { code, message }
code: number
message: string
messages: array of object { code, message }
code: number
message: string
result: object { status, timestamp }
status: "queued" or "running" or "paused" or 5 more
One of the following:
"queued"
"running"
"paused"
"errored"
"terminated"
"complete"
"waitingForPause"
"waiting"
timestamp: string

Accepts ISO 8601 with no timezone offsets and in UTC.

formatdate-time
success: true
result_info: optional object { count, per_page, total_count, 3 more }
count: number
per_page: number
total_count: number
cursor: optional string
page: optional number
total_pages: optional number

Change status of instance

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/workflows/$WORKFLOW_NAME/instances/$INSTANCE_ID/status \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "status": "resume"
        }'
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "status": "queued",
    "timestamp": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0,
    "total_pages": 0
  }
}